NETWORK_VIRTUAL-CIRCUIT_UPDATE(1)

NAME
network_virtual-circuit_update -

DESCRIPTION

Updates the specified virtual circuit. This can be called by either the customer who owns the virtual circuit, or the provider (when provisioning or de-provisioning the virtual circuit from their end). The documentation for UpdateVirtualCircuitDetails <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/requests/UpdateVirtualCircuitDetails> indicates who can update each property of the virtual circuit.

Important: If the virtual circuit is working and in the PROVISIONED state, updating any of the network-related properties (such as the DRG being used, the BGP ASN, and so on) will cause the virtual circuit's state to switch to PROVISIONING and the related BGP session to go down. After Oracle re-provisions the virtual circuit, its state will return to PROVISIONED. Make sure you confirm that the associated BGP session is back up. For more information about the various states and how to test connectivity, see FastConnect Overview <https://docs.cloud.oracle.com/Content/Network/Concepts/fastconnect.htm>.

To change the list of public IP prefixes for a public virtual circuit, use BulkAddVirtualCircuitPublicPrefixes <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/VirtualCircuitPublicPrefix/BulkAddVirtualCircuitPublicPrefixes> and BulkDeleteVirtualCircuitPublicPrefixes <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/VirtualCircuitPublicPrefix/BulkDeleteVirtualCircuitPublicPrefixes>. Updating the list of prefixes does NOT cause the BGP session to go down. However, Oracle must verify the customer's ownership of each added prefix before traffic for that prefix will flow across the virtual circuit.

USAGE

oci network virtual-circuit update [OPTIONS]

REQUIRED PARAMETERS

--virtual-circuit-id [text]

    The OCID of the virtual circuit.

OPTIONAL PARAMETERS

--bandwidth-shape-name [text]

    The provisioned data rate of the connection. To get a list of the available bandwidth levels (that is, shapes), see ListFastConnectProviderVirtualCircuitBandwidthShapes <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/FastConnectProviderService/ListFastConnectProviderVirtualCircuitBandwidthShapes>. To be updated only by the customer who owns the virtual circuit.

--cross-connect-mappings [complex type]

    An array of mappings, each containing properties for a cross-connect or cross-connect group associated with this virtual circuit.

    The customer and provider can update different properties in the mapping depending on the situation. See the description of the CrossConnectMapping <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/CrossConnectMapping/>.

    This option is a JSON list with items of type CrossConnectMapping. For documentation on CrossConnectMapping please see our API reference: https://docs.cloud.oracle.com/api/#/en/iaas/20160918/datatypes/CrossConnectMapping. This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--customer-asn [integer]

    The BGP ASN of the network at the other end of the BGP session from Oracle.

    If the BGP session is from the customer's edge router to Oracle, the required value is the customer's ASN, and it can be updated only by the customer.

    If the BGP session is from the provider's edge router to Oracle, the required value is the provider's ASN, and it can be updated only by the provider.

    Can be a 2-byte or 4-byte ASN. Uses "asplain" format.

--customer-bgp-asn [integer]

    Deprecated. Instead use customerAsn. If you specify values for both, the request will be rejected.

--defined-tags [complex type]

    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags <https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm>.

    Example:

    {"Operations": {"CostCenter": "42"}}

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--display-name [text]

    A user-friendly name. Does not have to be unique. Avoid entering confidential information.

    To be updated only by the customer who owns the virtual circuit.

--force

    Perform update without prompting for confirmation.

--freeform-tags [complex type]

    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags <https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm>.

    Example:

    {"Department": "Finance"}

    This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--gateway-id [text]

    The OCID of the dynamic routing gateway (DRG) <https://docs.cloud.oracle.com/api/#/en/iaas/20160918/Drg> that this private virtual circuit uses.

    To be updated only by the customer who owns the virtual circuit.

--if-match [text]

    For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource's current etag value.

--max-wait-seconds [integer]

    The maximum time to wait for the resource to reach the lifecycle state defined by --wait-for-state. Defaults to 1200 seconds.

--provider-service-key-name [text]

    The service key name offered by the provider (if the customer is connecting via a provider).

--provider-state [text]

    The provider's state in relation to this virtual circuit. Relevant only if the customer is using FastConnect via a provider. ACTIVE means the provider has provisioned the virtual circuit from their end. INACTIVE means the provider has not yet provisioned the virtual circuit, or has de-provisioned it.

    To be updated only by the provider.

    Accepted values are:

    ACTIVE, INACTIVE

--reference-comment [text]

    Provider-supplied reference information about this virtual circuit. Relevant only if the customer is using FastConnect via a provider.

    To be updated only by the provider.

--wait-for-state [text]

    This operation creates, modifies or deletes a resource that has a defined lifecycle state. Specify this option to perform the action and then wait until the resource reaches a given lifecycle state. Multiple states can be specified, returning on the first state. For example, --wait-for-state SUCCEEDED --wait-for-state FAILED would return on whichever lifecycle state is reached first. If timeout is reached, a return code of 2 is returned. For any other error, a return code of 1 is returned.

    Accepted values are:

    FAILED, INACTIVE, PENDING_PROVIDER, PROVISIONED, PROVISIONING, TERMINATED, TERMINATING, VERIFYING

--wait-interval-seconds [integer]

    Check every --wait-interval-seconds to see whether the resource to see if it has reached the lifecycle state defined by --wait-for-state. Defaults to 30 seconds.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle